Bug 14247 - winbind member (source3) fails local SAM auth with empty domain name
Summary: winbind member (source3) fails local SAM auth with empty domain name
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind (show other bugs)
Version: 4.11.4
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-23 14:57 UTC by Björn Jacke
Modified: 2020-02-20 09:17 UTC (History)
5 users (show)

See Also:


Attachments
Patches for v4-12-test (16.92 KB, patch)
2020-02-10 10:42 UTC, Stefan Metzmacher
asn: review+
Details
Patches for v4-11-test (16.93 KB, patch)
2020-02-10 10:42 UTC, Stefan Metzmacher
asn: review+
Details
Patches for v4-10-test (15.51 KB, patch)
2020-02-10 10:43 UTC, Stefan Metzmacher
asn: review+
Details
Add additional fixes for CIDs 1458418 and 1458420 (2.51 KB, patch)
2020-02-17 11:43 UTC, Karolin Seeger
metze: review+
metze: review?
metze: ci-passed+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2020-01-23 14:57:41 UTC
authenticating against a samba member server with an empty domain name should search for users in local SAM. This does not work though, it looks up the user in the joined domain then. This is related to bug 13206 but that one did not consider  the member server setup case.
Comment 1 Stefan Metzmacher 2020-02-10 10:42:29 UTC
Created attachment 15782 [details]
Patches for v4-12-test
Comment 2 Stefan Metzmacher 2020-02-10 10:42:56 UTC
Created attachment 15783 [details]
Patches for v4-11-test
Comment 3 Stefan Metzmacher 2020-02-10 10:43:24 UTC
Created attachment 15784 [details]
Patches for v4-10-test
Comment 4 Andreas Schneider 2020-02-10 13:42:04 UTC
Karolin, please apply the patches to the relevant branches. Thanks!
Comment 5 Karolin Seeger 2020-02-11 07:48:12 UTC
(In reply to Andreas Schneider from comment #4)
Pushed to autobuild-v4-{12,11,10}-test.
Comment 6 Karolin Seeger 2020-02-12 08:23:08 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to all branches.
Closing out bug report.

Thanks!
Comment 7 Karolin Seeger 2020-02-17 11:43:34 UTC
Created attachment 15792 [details]
Add additional fixes for CIDs 1458418 and 1458420
Comment 8 Karolin Seeger 2020-02-18 07:20:54 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to autobuild-v4-12-test.
Does not apply on current v4-11-test and v4-10-test.
Comment 9 Karolin Seeger 2020-02-18 07:32:26 UTC
Applies cleanly on 4.11 and 4.10, was my fault, sorry
Comment 10 Karolin Seeger 2020-02-18 07:32:50 UTC
Pushed to autobuild-v4-{10,11}-test.
Comment 11 Karolin Seeger 2020-02-20 09:17:06 UTC
Pushed to all branches.
Closing out bug report.

Thanks!